package ru.fincode.tsudesk.core.config.domain

import kotlinx.coroutines.flow.Flow
import ru.fincode.tsudesk.core.common.model.DataResult
import ru.fincode.tsudesk.core.config.domain.model.AppConfig

interface ConfigRepository {
    suspend fun fetchConfig(): DataResult<AppConfig>
    fun getConfig(): Flow<DataResult<AppConfig>>
}
